%bcond_without tests

Summary:        An OpenAPI client for FASJSON
Name:           python-fasjson-client
Version:        1.0.8
Release: 1%{?dist}

License:        LGPL-3.0-or-later
URL:            https://github.com/fedora-infra/fasjson-client
Source0:         %{pypi_source fasjson-client}
BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-mock
BuildRequires:  python3-requests-mock
%endif

%global _description %{expand:
A python client library for the FASJSON API.}


%description %_description


%package -n     python3-fasjson-client
Summary:        %{summary}


%description -n python3-fasjson-client %_description


%package -n python3-fasjson-client+cli
Summary: Subpackage for python3-fasjson-client with extra cli dependencies
Requires: python3-fasjson-client

%description -n python3-fasjson-client+cli
This is the subpackage for python3-fasjson-client with extra cli dependencies.

%files -n python3-fasjson-client+cli -f %{_pyproject_ghost_distinfo}



%package -n     fasjson-client
Summary:        %{summary} - CLI
Requires:       python3-fasjson-client+cli = %{version}-%{release}


%description -n fasjson-client
A command line interface for the FASJSON API.


%prep
%autosetup -n fasjson-client-%{version} -p 1


%generate_buildrequires
%pyproject_buildrequires -x cli


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files fasjson_client

rm %{buildroot}%{python3_sitelib}/{config.toml.example,tox.ini}


%check
%if %{with tests}
%pytest -v fasjson_client/tests/unit
%else
%endif


%files -n python3-fasjson-client -f %{pyproject_files}
%license LICENSE
%doc README.md


%files -n fasjson-client
%{_bindir}/fasjson-client


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.8-1
- initial build
